Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #854

Floating-point WavPack files play as noise
December 22, 2018 19:38 - Alexander Kabikov

Status: Closed Start date: December 22, 2018
Priority: Minor Due date:

Assignee: % Done: 100%

Category: plugins/wavpack Estimated time: 0.00 hour

Target version: 3.10.1

Affects version: 3.10

Description

I'm using a USB DAC that supports up to 24bit 96kHz playback. | also have a number of 32bit(floating point) / 192 kHz files. I've set
alsa output to hw:card=v15, direct hardware without any conversions, mixer to hw:1 (same usb device) and mixer element to pcm.
I've enabled Sample Rate Converter to convert 176.4kHz to 88.2kHz and 192kHz to 96kHz with Best sinc interpolation. The device
I'm using can't use 16bit input natively, it always requires 24bit. In Audio - Bit Depth is set to 24bit to be able to play 16bit files too
(that is done correctly as far as | can tell, sounds good). However, when playing the 32bit files with these settings, it is unable to play
them correctly and is instead sending out noise. You can hear some notes in the background, but it's clipping very hard. Soft-clipping
option didn't help either btw.

My guess is that a process similar to down-sampling is required in this case, changing only the bit-depth to 24 bit, and not just cutting
it.

Also, hearing that noise | figured that the playback speed is correct, so resampling is doing it's job.

not sure if category/affected version are set correctly, I've built from git on 21.12.2018

History

#1 - December 24, 2018 17:35 - John Lindgren

Are you really using version 3.0? That version has been unsupported for years; please try a newer version of Audacious.

EDIT - Read your post more thoroughly, and updated the version field for you.

#2 - December 24, 2018 17:36 - John Lindgren
- Affects version 3.10 added
- Affects version deleted (3.0)

#3 - December 24, 2018 17:52 - John Lindgren
- Category deleted (plugins/alsa)

Everything is converted to 32-bit float internally, so the bit depth of the input file shouldn't make a difference unless the problem is on the decoding
side.

What format of input file are you playing, and can you upload an example?

#4 - December 24, 2018 17:56 - John Lindgren

- Subject changed from ALSA hw playback of high bit depth file doesn't get requantized and is sent as is, even with fixed output bit-depth setting to
Playback of high bit depth file results in noise

#5 - December 24, 2018 23:57 - Alexander Kabikov

| was using (lots of flacs) 24bit/192kHz (some 96kHz and 88.2kHz too) files fine, then tried to use a 32bit/192kHz file, it was a WavPack. | compiled
the wavpack plugin fine and it was on. I'll upload the file it failed to play properly in an hour or so.
#6 - December 25, 2018 08:04 - John Lindgren
- % Done changed from 0 to 100

- Status changed from New to Closed

- Category set to plugins/wavpack

- Subject changed from Playback of high bit depth file results in noise to Floating-point WavPack files play as noise

Decoding of 32-bit floating-point WavPack files was indeed not handled correctly.

Fixed:
https://github.com/audacious-media-player/audacious-plugins/commit/9be0ca32b05c49badb66872b6f6e579249955¢cf8

May 03, 2025 22


https://github.com/audacious-media-player/audacious-plugins/commit/9be0ca32b05c49badb66872b6f6e579249955cf8
http://www.tcpdf.org

